# Generated by Django 3.2.11 on 2022-01-11 21:15

import django.core.validators
import django_crypto_fields.fields.firstname_field
import django_crypto_fields.fields.lastname_field
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("effect_consent", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="historicalsubjectconsent",
            name="is_able",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="Yes",
                help_text="If 'No' provide witness's name on this form and signature on the paper document.",
                max_length=3,
                verbose_name="Is the participant able to provide consent?",
            ),
        ),
        migrations.AddField(
            model_name="subjectconsent",
            name="is_able",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                default="Yes",
                help_text="If 'No' provide witness's name on this form and signature on the paper document.",
                max_length=3,
                verbose_name="Is the participant able to provide consent?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectconsent",
            name="first_name",
            field=django_crypto_fields.fields.firstname_field.FirstnameField(
                blank=True,
                help_text="Use UPPERCASE letters only. (Encryption: RSA local)",
                max_length=71,
                null=True,
                validators=[
                    django.core.validators.RegexValidator(
                        message="Ensure name consist of letters only in upper case",
                        regex="^([A-Z]+$|[A-Z]+\\ [A-Z]+)$",
                    )
                ],
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectconsent",
            name="language",
            field=models.CharField(
                choices=[
                    ("en", "English"),
                    ("af", "Afrikaans"),
                    ("st", "Sotho"),
                    ("sw", "Swahili"),
                    ("tn", "Tswana"),
                    ("xh", "Xhosa"),
                    ("zu", "Zulu"),
                ],
                help_text="The language used for the consent process will also be used during data collection.",
                max_length=25,
                verbose_name="Language of consent",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectconsent",
            name="last_name",
            field=django_crypto_fields.fields.lastname_field.LastnameField(
                blank=True,
                help_text="Use UPPERCASE letters only. (Encryption: RSA local)",
                max_length=71,
                null=True,
                validators=[
                    django.core.validators.RegexValidator(
                        message="Ensure name consist of letters only in upper case",
                        regex="^([A-Z]+$|[A-Z]+\\ [A-Z]+)$",
                    )
                ],
                verbose_name="Surname",
            ),
        ),
        migrations.AlterField(
            model_name="subjectconsent",
            name="first_name",
            field=django_crypto_fields.fields.firstname_field.FirstnameField(
                blank=True,
                help_text="Use UPPERCASE letters only. (Encryption: RSA local)",
                max_length=71,
                null=True,
                validators=[
                    django.core.validators.RegexValidator(
                        message="Ensure name consist of letters only in upper case",
                        regex="^([A-Z]+$|[A-Z]+\\ [A-Z]+)$",
                    )
                ],
            ),
        ),
        migrations.AlterField(
            model_name="subjectconsent",
            name="language",
            field=models.CharField(
                choices=[
                    ("en", "English"),
                    ("af", "Afrikaans"),
                    ("st", "Sotho"),
                    ("sw", "Swahili"),
                    ("tn", "Tswana"),
                    ("xh", "Xhosa"),
                    ("zu", "Zulu"),
                ],
                help_text="The language used for the consent process will also be used during data collection.",
                max_length=25,
                verbose_name="Language of consent",
            ),
        ),
        migrations.AlterField(
            model_name="subjectconsent",
            name="last_name",
            field=django_crypto_fields.fields.lastname_field.LastnameField(
                blank=True,
                help_text="Use UPPERCASE letters only. (Encryption: RSA local)",
                max_length=71,
                null=True,
                validators=[
                    django.core.validators.RegexValidator(
                        message="Ensure name consist of letters only in upper case",
                        regex="^([A-Z]+$|[A-Z]+\\ [A-Z]+)$",
                    )
                ],
                verbose_name="Surname",
            ),
        ),
    ]
